Name:          zstd
Version:       1.4.3
Release:       1mamba
Summary:       Zstandard - Fast real-time compression algorithm
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.zstd.net/
## GITSOURCE https://github.com/facebook/zstd.git v1.3.3
Source:        https://github.com/facebook/zstd.git/v%{version}/zstd-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liblzma-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Zstandard - Fast real-time compression algorithm.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%make prefix=%{_prefix} libdir=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall prefix=%{_prefix} libdir=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/unzstd
%{_bindir}/zstd
%{_bindir}/zstdcat
%{_bindir}/zstdgrep
%{_bindir}/zstdless
%{_bindir}/zstdmt
%{_mandir}/man1/unzstd.1*
%{_mandir}/man1/zstd.1*
%{_mandir}/man1/zstdcat*
%{_mandir}/man1/zstdgrep.1*
%{_mandir}/man1/zstdless.1*
%doc COPYING LICENSE

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libzstd.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libzstd.a
%{_libdir}/libzstd.so
%{_libdir}/pkgconfig/libzstd.pc
%doc README.md

%changelog
* Mon Sep 30 2019 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Sun Aug 11 2019 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Tue Jul 23 2019 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sun Apr 21 2019 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Mon Feb 04 2019 Automatic Build System <autodist@mambasoft.it> 1.3.8-1mamba
- automatic version update by autodist

* Fri Dec 28 2018 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic version update by autodist

* Tue Oct 16 2018 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic version update by autodist

* Sun Apr 08 2018 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Sat Mar 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- package created using the webbuild interface
